summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xupdate_jdn.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index 8369a339..4e0b8336 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -18,6 +18,9 @@ explain() {
#
# set up users and groups
#
+if ! getent passwd jenkins > /dev/null ; then
+ sudo adduser --system --no-create-home --ingroup jenkins --disabled-login jenkins
+fi
if ! getent group jenkins-adm > /dev/null ; then
sudo addgroup --system jenkins-adm
fi